Subject: Re: UTF-8 support absent within guix shell --pure less

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 22 May 2023 10:25:10 -0400

Hi Bruno,

Bruno Victal <[email-masked]> writes:

[...]

> ;;; GNU Guix --- Functional package management for GNU
> ;;; Copyright <C2><A9> 2017, 2021, 2023 Ricardo Wurmus <[email-masked]>
> ;;; Copyright <C2><A9> 2017, 2018, 2021 Julien Lepiller <[email-masked]>
> ;;; Copyright <C2><A9> 2018 G<C3><A1>bor Boskovits <[email-masked]>
> ;;; Copyright <C2><A9> 2019, 2021 Tobias Geerinckx-Rice <[email-masked]>
> ;;; Copyright <C2><A9> 2020 Vincent Legoll <[email-masked]>
> ;;; Copyright <C2><A9> 2021 L<C3><A9>o Le Bouter <[email-masked]>
> ;;; Copyright <C2><A9> 2022 Christopher Baines <[email-masked]>
> ;;;
> ;;; This file is part of GNU Guix.
>
> …
>
>
> This can be worked around by setting the LESSCHARSET environment variable:
>
> ~/src/guix [env]$ LESSCHARSET=utf8 less gnu/packages/java-xml.scm
>
>
> Which will correctly display (without any prompts):
>
> ;;; GNU Guix --- Functional package management for GNU
> ;;; Copyright © 2017, 2021, 2023 Ricardo Wurmus <[email-masked]>
> ;;; Copyright © 2017, 2018, 2021 Julien Lepiller <[email-masked]>
> ;;; Copyright © 2018 Gábor Boskovits <[email-masked]>
> ;;; Copyright © 2019, 2021 Tobias Geerinckx-Rice <[email-masked]>
> ;;; Copyright © 2020 Vincent Legoll <[email-masked]>
> ;;; Copyright © 2021 Léo Le Bouter <[email-masked]>
> ;;; Copyright © 2022 Christopher Baines <[email-masked]>
> ;;;
> ;;; This file is part of GNU Guix.
>
> …
>
> This does not happen with a non-pure ``guix shell less'', it properly
> shows UTF-8 characters without having to manually set any environment
> variables.
> Adding glibc-locales to ``guix shell --pure less glibc-locales''
> does not help either and in neither environments is GUIX_LOCPATH set
> as it was suggested at <https://logs.guix.gnu.org/guix/2023-05-20.log#035013>.

So GUIX_LOCPATH is *not* set, right?  Could you try adding 'glibc' to
the environment as well?  It's the one providing the GUIX_LOCPATH search
path.

-- 
Thanks,
Maxim